#
# spec file for package cdk
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname lib%{name}5
%define mainver 5.0
%define datever 20150928

Name:           cdk
Url:            http://invisible-island.net/cdk/
BuildRequires:  libtool
BuildRequires:  ncurses-devel
Version:        %{mainver}.%{datever}
Release:        lp150.1.8
Summary:        The Runtime for the Curses Development Kit
License:        BSD-3-Clause
Group:          System/Libraries
Source:         ftp://invisible-island.net/cdk/cdk-%{mainver}-%{datever}.tgz
Source1:        ftp://invisible-island.net/cdk/cdk-%{mainver}-%{datever}.tgz.asc
Source2:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CDK is a widget set developed on top of the basic curses library. It
contains 21 ready to use widgets, some of which are: a text entry
field, a scrolling list, a selection list, an alphalist, a pull-down
menu, a radio list, a viewer widget, and a dialog box.

%package -n %lname
Summary:        The Runtime for the Curses Development Kit - Shared library
Group:          Development/Libraries/C and C++

%description -n %lname
CDK is a widget set developed on top of the basic curses library. It
contains 21 ready to use widgets, some of which are: a text entry
field, a scrolling list, a selection list, an alphalist, a pull-down
menu, a radio list, a viewer widget, and a dialog box.

%package devel
Summary:        Development Part of Curses Development Kit
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Requires:       ncurses-devel

%description devel
This package includes the development headers and static libraries for
CDK, the Curses Development Kit.

%prep
%setup -q -n cdk-%{mainver}-%{datever}

%build
%configure --with-ncurses --enable-const
make cdkshlib %{?_smp_mflags}

%install
make install installCDKSHLibrary DESTDIR=%{buildroot} INSTALL="install -pD"
# fixes rpmlint unstripped-binary-or-object
chmod +x %{buildroot}%{_libdir}/*.so
find %{buildroot} -name '*.a' -delete -print
# Remove installed in wrong directory documentation files
rm -rf %{buildroot}%{_datadir}/doc

%post -n %lname
/sbin/ldconfig

%postun -n %lname
/sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc EXPANDING NOTES TODO COPYING README CHANGES VERSION
%{_libdir}/libcdk.so.5*

%files devel
%defattr(-,root,root)
%{_bindir}/cdk5-config
%{_libdir}/libcdk.so
%{_includedir}/%{name}
%{_includedir}/%{name}.h
%{_mandir}/man3/*.3.gz

%changelog
* Sun Nov  1 2015 p.drouand@gmail.com
- Update to version 5.0.20150928
  * build ".deb" test-package with ncurses6, using versioned symbols.
  * modifications from ncurses/xterm to allow alternate to /bin/sh for
    configure-shell, while dropping support for non-POSIX shell such
    as Solaris.
  * updated/integrated changes for versioned symbols from ncurses6.
  * CF_DISABLE_LIBTOOL_VERSION when using -version-info (the native
    libtool mode), get the ABI_VERSION value from $VERSION (which comes
    from CF_VERSION_INFO)
  * CF_ADD_INCDIR fix an infinite loop when the include-directory to be
    added does not exist (bdo#786436)
  * CF_WITH_NCURSES_ETC add --with-screen option
  * CF_SUBDIR_PATH change this to a loop, adding /usr/pkg (NetBSD) and
    /opt/local (Mac OSX)
  * update config.guess, config.sub
* Mon Dec 29 2014 meissner@suse.com
- fixed url, added .asc and keyring
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 5.0.20141106
  + Too many things to list; please read the changelog file
- Cleanup specfile
- Split out cdk library to a lib subpackage
- Update Url and source download Url
- Remove obsolete cdk-4.9.13.dif
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Feb 19 2010 coolo@novell.com
- fix compilation with gcc 4.5
* Sun Aug 30 2009 coolo@novell.com
- use %%patch for Patch
* Sun Mar  8 2009 crrodriguez@suse.de
- remove static libraries
* Thu Mar 29 2007 meissner@suse.de
- added ncurses-devel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 23 2004 werner@suse.de
- Add cdk to required packages for cdk-devel (bug #48405)
- Update to cdk 4.9.13
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Jan  8 2003 werner@suse.de
- cdk-devel requires ncurses-devel (bug# 20065)
* Tue Apr 30 2002 sf@suse.de
- changed paths to %%{_libdir}
* Mon Apr  8 2002 ro@suse.de
- call autoreconf
* Wed Nov 14 2001 werner@suse.de
- New package cdk (Curses Development Kit) which provides an
  easy interface for programmers to (n)curses.  Is used e.g.
  by curses based programs like ntuxzap from DVB driver package.
